
<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
  <div class="btn-toolbar mb-2 mb-md-0">
    <div class="btn-group mr-2">
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==false, 'btn-outline-secondary':tNuevo==true}"><i class="fas fa-edit"></i></button>
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==true, 'btn-outline-secondary':tNuevo==false}" (click)="Nuevo()"><i class="fas fa-plus"></i></button>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <div class="form-row">
      <div class="form-group col-12">
        <app-fw-articulo-cabecera [(Articulo)]="tArticuloActual" [BloquearBuscar]="tBloquearBuscar" [Editar]="tEditar" (Buscar)="BuscarArticulo($event)" (AbrirModal)="AbrirModalArticulos()"></app-fw-articulo-cabecera>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Informacion" role="tab" aria-controls="Informacion" aria-selected="true" id="Informacion-tab">Información</a></li>
          <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Clasificacion" role="tab" aria-controls="Clasificacion" aria-selected="true" id="Clasificacion-tab">Clasificación</a></li>
          <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Imagenes" role="tab" aria-controls="Imagenes" aria-selected="true" id="Imagenes-tab">Imagenes</a></li>
        </ul>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="tab-content" id="mvDatos">
          <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Informacion-tab" id="Informacion">
            <app-fw-articulo-detalles-informacion #DetallesInfo="" [(Articulo)]="tArticuloActual" [Empresa]="tEmpresaActual" [Vprecio1]="tVprecio1" [Vprecio2]="tVprecio2" [Vprecio3]="tVprecio3" [VprecioLista]="tVprecioLista" [Tipos]="tTipos" [Unidades]="tUnidades" [Colores]="tColores" id="DetallesInfo"></app-fw-articulo-detalles-informacion>
          </div>
          <div class="tab-pane fade" role="tabpanel" aria-labelledby="Clasificacion-tab" id="Clasificacion">
            <app-fw-articulo-detalles-clasificacion #DetallesClas="" [(Articulo)]="tArticuloActual" [Clasificaciones1]="tClasificaciones1" [Fabricantes]="tFabricantes" id="DetallesClas"></app-fw-articulo-detalles-clasificacion>
          </div>
          <div class="tab-pane fade" role="tabpanel" aria-labelledby="Imagenes-tab" id="Imagenes">
            <app-fw-articulo-detalles-imagenes [(Imagenes)]="tArticuloActual.LImagenes" [(ManejarImagen)]="tManejarImagen" [Tipos]="tTiposImagenes" [Configuracion]="tConfiguracion" (CargarImagen)="CargarImagenes($event)" (EliminarImagen)="EliminarImagenes($event)"></app-fw-articulo-detalles-imagenes>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 d-flex justify-content-end">
        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-secondary btn-icon-split" type="button" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar</span></button>
          </div>
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-danger btn-icon-split" type="button" (click)="Eliminar()" [disabled]="!tHabilitarEliminar"><span class="icon text-white-50"><i class="fas fa-trash-alt"></i></span><span class="text">Eliminar</span></button>
          </div>
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-primary btn-icon-split" type="button" (click)="Agregar()" [disabled]="!tHabilitarGuardar"><span class="icon text-white-50"><i class="fas fa-save"></i></span><span class="text">Guardar</span></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>